global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
  name: freeleaps-prod-notification-dashboard
  title: Notification Service Dashboard
  metricsPrefix: freeleaps_notification
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/notification/*.log
  logPath: /app/log/notification
notification:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: notification
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8003
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: notification-service
      type: ClusterIP
      port: 8003
      targetPort: 8003
      serviceMonitor:
        enabled: false
        labels: {}
        namespace: ""
        internal: 30s
        scrapeTimeout: ""
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "America/Settle"
    # APP_NAME
    appName: "notification"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8003"
    # MONGODB_NAME
    mongodbName: ""
    # MONGODB_PORT
    mongodbPort: "27017"
    # MONGODB_URI
    mongodbUri: ""
    # RABBITMQ_HOST
    rabbitmqHost: ""
    # RABBITMQ_PORT
    rabbitmqPort: ""
    # RABBITMQ_USERNAME
    rabbitmqUsername: ""
    # RABBITMQ_PASSWORD
    rabbitmqPassword: ""
    # RABBITMQ_VRITUAL_HOST
    rabbitmqVritualHost: ""
    # SYSTEM_USER_ID
    systemUserId: ""
    # SMS_FROM
    smsFrom: ""
    # EMAIL_FROM
    emailFrom: ""
    # SECRET_KEY
    secretKey: ""
    # SENDGRID_API_KEY
    sendgridApiKey: ""
    # TWILIO_ACCOUNT_SID
    twilioAccountSid: ""
    # TWILIO_AUTH_TOKEN
    twilioAuthToken: ""
    # METRICS_ENABLED
    metricsEnabled: "false"
    # PROBES_ENABLED
    probesEnabled: "false"
  vpa:
    minAllowed:
      enabled: false
      cpu: "0.5"
      memory: "512Mi"
    maxAllowed:
      enabled: true
      cpu: "1"
      memory: "1Gi"
    controlledResources:
      - cpu
      - memory